#
# spec file for package perl-Plack-Middleware-ReverseProxy
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Plack-Middleware-ReverseProxy
Version:        0.16
Release:        1.16
%define cpan_name Plack-Middleware-ReverseProxy
Summary:        Supports app to run as a reverse proxy backend
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Plack) >= 0.9988
BuildRequires:  perl(Plack::Middleware)
BuildRequires:  perl(Plack::Request)
BuildRequires:  perl(parent)
Requires:       perl(Plack) >= 0.9988
Requires:       perl(Plack::Middleware)
Requires:       perl(Plack::Request)
Requires:       perl(parent)
%{perl_requires}

%description
Plack::Middleware::ReverseProxy resets some HTTP headers, which changed by
reverse-proxy. You can specify the reverse proxy address and stop fake
requests using 'enable_if' directive in your app.psgi.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Feb 20 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.16
  see /usr/share/doc/packages/perl-Plack-Middleware-ReverseProxy/Changes
  0.16  2019-02-19 08:42:44 PST
  - Update packaging to use Milla
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix build with perl 5.28
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Plack-Middleware-ReverseProxy/Changes
  0.15    Mon Jan  7 15:59:54 PST 2013
  - Cut down dependencies for tests (kazeburo)
* Thu May 31 2012 coolo@suse.com
- initial package 0.14
  * created by cpanspec 1.78.06
